\begin{subsection}{Невырожденные матрицы}

  \begin{definition}  
    Матрица $U \in M_n(K)$ называется \underline{невырожденной}, если $\rk U = n$
  \end{definition}

  \begin{proposition}
    Пусть $U \in M_n(K)$.
    Тогда эквивалентны:
    \begin{enumerate}
      \item $U$~--- невырожденна
      \item столбцы $U$ линейно независимы
      \item строки $U$ линейно независимы
      \item $U \in \GL_n(K)$
      \item $U$~--- произведение элементарных матриц
      \item $U$ обратима слева
      \item $U$ обратима справа
    \end{enumerate}
  \end{proposition}
  \begin{proof} $ $ 
    \begin{itemize}
      \item 1 $\EQ$ 2 --- тривиально
      \item 1 $\EQ$ 3 

        $U$ невырожденна $\EQ \rk U^{\intercal} = n \EQ $ строки $U$ линейно независимы
      \item 1 $\SO $5

        $U = PDQ$, $D = E_n \in M_n(K) \SO U = PQ$
      \item 5 $\SO$ 4
        
        Произведение обратимых обратимо

      \item 7 $\SO$ 1

        $U \cdot \overset{\sim}{U} = E_n$

        $n = \rk E_n \leq \rk U \SO \rk U \geq n \SO \rk U = n$

      \item 4 $\SO$ 7 --- тривиально
      \item 4 $\SO$ 6 $\SO$ 1 --- аналогично, тривиально
    \end{itemize}
  \end{proof}

\end{subsection}
